Package org.apache.cxf.common.annotation

# Class AnnotationProcessor

java.lang.Object
org.apache.cxf.common.annotation.AnnotationProcessor

public class AnnotationProcessor extends Object
Process instance of an annotated class. This is a visitable object that allows an caller to visit that annotated elements in this class definition. If a class level annotation is overridden by a member level annotation, only the visit method for the member level annotation

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AnnotationProcessor(Object o)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `accept(AnnotationVisitor visitor)`
  `void`
  `accept(AnnotationVisitor visitor, Class<?> claz)`
  Visits each of the annotated elements of the object.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AnnotationProcessor

    public AnnotationProcessor(Object o)

- ## Method Details

  - ### accept

    public void accept(AnnotationVisitor visitor, Class<?> claz)
    Visits each of the annotated elements of the object.
    Parameters:
      `visitor` - a visitor
      `claz` - the Class of the targe object

  - ### accept

    public void accept(AnnotationVisitor visitor)